import { Request, Response, NextFunction } from 'lambda-api';
/**
 * Adds an authorization middleware layer with optional validation of workspace and/or domain.
 * @param {Request} req
 * @param {Response} res
 * @param {NextFunction} next
 * @return {Promise<void>}
 */
export declare const lambdaApiAuth: (req: Request, res: Response, next: NextFunction) => Promise<void>;
